Debian Bug report logs - #473212
drscheme: FTBFS on powerpc (and other), missing mzdyn3m.o

version graph

Package: drscheme; Maintainer for drscheme is (unknown);

Reported by: Petter Reinholdtsen <pere@hungry.com>

Date: Sat, 29 Mar 2008 10:00:01 UTC

Severity: serious

Found in version drscheme/1:372-1

Fixed in version drscheme/2:4.0-1

Done: Ari Pollak <ari@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ari Pollak <ari@debian.org>:
Bug#473212; Package drscheme. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
New Bug report received and forwarded. Copy sent to Ari Pollak <ari@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: submit@bugs.debian.org
Subject: drscheme: FTBFS on powerpc (and other), missing mzdyn3m.o
Date: Sat, 29 Mar 2008 10:58:36 +0100
Package: drscheme
Version: 1:372-1
Severity: serious

The current version in unstable fail to build on several architectures
(alpha, hppa, mips, mipsel, powerpc and sparc).  This issue keep the
latest version from propagating into Etch.  This is the error on
powerpc, but it seem to be the same error on the other architectures I
checked.

Rewriting configuration file at: /build/buildd/drscheme-372/debian/drscheme/usr/lib/plt/collects/config/config.ss...
make[4]: Leaving directory `/build/buildd/drscheme-372/build'
make[3]: Leaving directory `/build/buildd/drscheme-372/build'
make[2]: Leaving directory `/build/buildd/drscheme-372/build'
make[1]: Leaving directory `/build/buildd/drscheme-372/build'
dh_installdirs -pdrscheme 
dh_installdirs -pmzscheme 
dh_movefiles --sourcedir=debian/drscheme -pmzscheme
dh_movefiles: debian/drscheme/usr/lib/plt/mzdyn3m.o not found (supposed to put it in mzscheme)
make: *** [install/mzscheme] Error 1
dpkg-buildpackage: failure: /usr/bin/fakeroot debian/rules binary-arch gave error exit status 2

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Ari Pollak <ari@debian.org>:
Bug#473212; Package drscheme. Full text and rfc822 format available.

Acknowledgement sent to Ondrej Certik <ondrej@certik.cz>:
Extra info received and forwarded to list. Copy sent to Ari Pollak <ari@debian.org>. Full text and rfc822 format available.

Message #10 received at 473212@bugs.debian.org (full text, mbox):

From: Ondrej Certik <ondrej@certik.cz>
To: 473212@bugs.debian.org
Subject: the same for alpha
Date: Sat, 24 May 2008 16:52:20 +0200
The same problem seems to happen on alpha:

http://buildd.debian.org/~jeroen/status/package.php?suite=unstable&p=drscheme&a=alpha

Ondrej





Reply sent to Ari Pollak <ari@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Petter Reinholdtsen <pere@hungry.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 473212-close@bugs.debian.org (full text, mbox):

From: Ari Pollak <ari@debian.org>
To: 473212-close@bugs.debian.org
Subject: Bug#473212: fixed in drscheme 2:4.0-1
Date: Sun, 15 Jun 2008 03:47:15 +0000
Source: drscheme
Source-Version: 2:4.0-1

We believe that the bug you reported is fixed in the latest version of
drscheme, which is due to be installed in the Debian FTP archive:

drscheme_4.0-1.diff.gz
  to pool/main/d/drscheme/drscheme_4.0-1.diff.gz
drscheme_4.0-1.dsc
  to pool/main/d/drscheme/drscheme_4.0-1.dsc
drscheme_4.0-1_amd64.deb
  to pool/main/d/drscheme/drscheme_4.0-1_amd64.deb
drscheme_4.0.orig.tar.gz
  to pool/main/d/drscheme/drscheme_4.0.orig.tar.gz
mzscheme_4.0-1_amd64.deb
  to pool/main/d/drscheme/mzscheme_4.0-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 473212@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ari Pollak <ari@debian.org> (supplier of updated drscheme package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Sat, 14 Jun 2008 11:17:57 -0400
Source: drscheme
Binary: drscheme mzscheme
Architecture: source amd64
Version: 2:4.0-1
Distribution: unstable
Urgency: medium
Maintainer: Ari Pollak <ari@debian.org>
Changed-By: Ari Pollak <ari@debian.org>
Description: 
 drscheme   - PLT Scheme Programming Environment
 mzscheme   - PLT Scheme Interpreter
Closes: 460466 473212
Changes: 
 drscheme (2:4.0-1) unstable; urgency=medium
 .
   * New upstream version
   * Use older memory management on all architectures to be consistent
     (Closes: #473212)
   * Add new epoch since upstream changed versioning scheme
   * Move readline to mzscheme package, and add note in copyright file about it
     (Closes: #460466)
   * Remove obsolete manpages and init script for web-server
Checksums-Sha1: 
 ea66e3b0d8d410b11d6d833c5bcd3f7fbc36a555 1395 drscheme_4.0-1.dsc
 bc6de46064dd2b3cdf0fcb18bf86dc55845294f9 14678584 drscheme_4.0.orig.tar.gz
 1a7c485fa887f3a37e58557c270453ebf9f58c50 18073 drscheme_4.0-1.diff.gz
 0a08f24289ef1f7587d437b39ba195ec480a26cd 32419978 drscheme_4.0-1_amd64.deb
 3a5c366d1bf0daba7d55e5b52bf252e9d11c99ad 6444722 mzscheme_4.0-1_amd64.deb
Checksums-Sha256: 
 cfdadaade2929ce4fe332f4bc7ef51cf9367c08156b0c20b934ffd037a90d79e 1395 drscheme_4.0-1.dsc
 ecdc1010aafdb5b9d7be6def34f2889a7903d03ea9f6b5b904049c4546c156eb 14678584 drscheme_4.0.orig.tar.gz
 dd60abd7a2e21b6e12f7fc6e907c642423332d0a7c1451dc4e5331f4dc39865d 18073 drscheme_4.0-1.diff.gz
 401149767d839459b8c25cf67a875780de62d0ec225ff4841a8d267e7aed10fe 32419978 drscheme_4.0-1_amd64.deb
 ecd76aaedc43c4cc941ccb79ce4209f0a968c9f47ba5700c5d43938738871f3f 6444722 mzscheme_4.0-1_amd64.deb
Files: 
 7c75b317a8727f7d5d0e4c0c55db06ed 1395 interpreters optional drscheme_4.0-1.dsc
 c4d1c05c306897a57b900ff3a609c655 14678584 interpreters optional drscheme_4.0.orig.tar.gz
 e66d7a485bb4b6283ee99d124f7e96fd 18073 interpreters optional drscheme_4.0-1.diff.gz
 e39b34e4c5d0dc4292d4751c27d906d7 32419978 interpreters optional drscheme_4.0-1_amd64.deb
 3b8d8824fa17b15909c253a32eb5397c 6444722 interpreters optional mzscheme_4.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIVIytwO+u47cOQDsRA7rDAJ9OaJr+sSXpUHY2Uc5q9X4MODbnwwCfQgya
sRFglSLRKm5yxRBGo4Z8c2s=
=wzIw
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 16 Jul 2008 07:26:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 14:33:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.